#ifndef _system_h
#define _system_h
#include "zf_common_headfile.h"
extern double aim[20][2];

extern double filtered[12][2];
	
void coord_filter(void);

void global_init(void);

int Kalman_front_left(int data);

int Kalman_front_right(int data);

int Kalman_back_left(int data);

int Kalman_back_right(int data);

double Kalman_x(double data);

double Kalman_y(double data);

void	mini_for_classfiy_init();

void mini_for_orientation_init(void);

//void	mini_for_orientation_init();

void speak(void);

void coord_trans(void);

double Kalman_x2(double data);

double Kalman_y2(double data);
#endif